import 'dart:ui';
import '../repositories/locale_repository_interface.dart';

/// Use case to retrieve the list of supported locales.
class GetSupportedLocalesUseCase {
  final LocaleRepositoryInterface _repository;

  /// Creates a [GetSupportedLocalesUseCase] with the required [LocaleRepositoryInterface].
  GetSupportedLocalesUseCase(this._repository);

  /// Retrieves the supported locales.
  List<Locale> call() {
    return _repository.getSupportedLocales();
  }
}
